/* ========================================
 *  PurestConsole2Channel - PurestConsole2Channel.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __PurestConsole2Channel_PurestConsole2Channel_H
#define __PurestConsole2Channel_PurestConsole2Channel_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::PurestConsole2Channel {
enum {
  kNumParameters = 0
}; //


class PurestConsole2Channel final : public SfxCoreExtensionV1
{
public:
    PurestConsole2Channel();
    ~PurestConsole2Channel();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
    
	double biquadA[15];
	uint32_t fpdL;
	uint32_t fpdR;
	//default stuff
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
